com.h3c.sdn.adm.alert

## Interface AlertTopicListenerService

- All Known Subinterfaces:
    AlertTopicListenerServiceInternal

      public interface AlertTopicListenerService

  Service for the processing of Alert Topic listeners.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlertTopicListener` | `getListener(Id<AlertTopicListener,UUID> id)` Returns the Alert Topic Listener for the given unique identifier.
    `List<AlertTopicListener>` | `listListeners(String apId)` Returns the list of registered Alert Topic listeners.
    `AlertTopicListener` | `registerListener(AlertTopicListener listener, Authentication auth)` Register an alert topic listener.
    `void` | `removeListener(Id<AlertTopicListener,UUID> id, Authentication auth)` Removes the Alert Topic Listener with the given unique identifier.
    `AlertTopicListener` | `updateListener(AlertTopicListener listener, Authentication auth)` Updates the given alert topic listener.

- - ### Method Detail

    - #### listListeners

          List<AlertTopicListener> listListeners(String apId)

      Returns the list of registered Alert Topic listeners. The list can be restricted to just those alert topic listeners registered for the given application identifier.
      Parameters:
        `apId` - the application identifier
      Returns:
        the list of listeners

    - #### getListener

          AlertTopicListener getListener(Id<AlertTopicListener,UUID> id)

      Returns the Alert Topic Listener for the given unique identifier.
      Parameters:
        `id` - the unique identifier
      Returns:
        the listener with this unique identifier

    - #### registerListener

          AlertTopicListener registerListener(AlertTopicListener listener,
                                            Authentication auth)

      Register an alert topic listener.
      Parameters:
        `listener` - the listener to register
        `auth` - the authentication record for the user that invoked this method
      Returns:
        the registered listener

    - #### removeListener

          void removeListener(Id<AlertTopicListener,UUID> id,
                            Authentication auth)

      Removes the Alert Topic Listener with the given unique identifier.
      Parameters:
        `id` - the unique identifier
        `auth` - the authentication record for the user that invoked this method

    - #### updateListener

          AlertTopicListener updateListener(AlertTopicListener listener,
                                          Authentication auth)

      Updates the given alert topic listener.
      Parameters:
        `listener` - the listener to update
        `auth` - the authentication record for the user that invoked this method
      Returns:
        the modified listener

Copyright © 2014. All Rights Reserved.